### Method

# Dex AsyncResult dup_future

#### Declaration [src]

    DexFuture*
    dex_async_result_dup_future (
      DexAsyncResult* async_result
    )

#### Description [src]

Gets the future for the `DexAsyncResult`, or `NULL` if a future is not available.

#### Return value

Type: `DexFuture`

A `DexFuture` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.